Index: tests/regression/Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at
===================================================================
--- tests/regression/Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at	(revision c52e08e21874bd6974839eb406e14ffef59a6a4f)
+++ tests/regression/Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at	(revision c52e08e21874bd6974839eb406e14ffef59a6a4f)
@@ -0,0 +1,67 @@
+### Subgraph dissection with specific boundary conditions
+
+AT_SETUP([Graph - subgraph dissection with Wrap BC])
+AT_KEYWORDS([graph subgraph-dissection set-boundary-conditions])
+AT_XFAIL_IF([/bin/true])
+
+file=water.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Wrap, Wrap, Wrap" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
+file=water-bounced.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Wrap, Wrap, Wrap" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
+file=water-wrapped.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Wrap, Wrap, Wrap" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Graph - subgraph dissection with Bounce BC])
+AT_KEYWORDS([graph subgraph-dissection set-boundary-conditions])
+AT_XFAIL_IF([/bin/false])
+
+file=water.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Bounce, Bounce, Bounce" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
+file=water-bounced.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Bounce, Bounce, Bounce" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
+file=water-wrapped.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Bounce, Bounce, Bounce" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([fgrep "I scanned 2 molecules." stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Graph - subgraph dissection with Ignore BC])
+AT_KEYWORDS([graph subgraph-dissection set-boundary-conditions])
+
+file=water.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Ignore, Ignore, Ignore" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
+file=water-bounced.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Ignore, Ignore, Ignore" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
+file=water-wrapped.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Ignore, Ignore, Ignore" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([fgrep "I scanned 2 molecules." stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
